### Function

# Qmi message_get_printable_full

since: 1.18

#### Declaration [src]

    gchar*
    qmi_message_get_printable_full (
      QmiMessage* self,
      QmiMessageContext* context,
      const gchar* line_prefix
    )

#### Description [src]

Gets a printable string with the contents of the whole QMI message.

If known, the printable string will contain translated TLV values as well as the raw data buffer contents.

The translation of the contents may be specific to the `context` provided, e.g. for vendor-specific messages.

If no `context` given, the behavior is the same as qmi_message_get_printable().

Available since: 1.18

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`context`

  Type: `QmiMessageContext`

  A `QmiMessageContext`.

  The data is owned by the caller of the function.

`line_prefix`

  Type: `const gchar*`

  Prefix string to use in each new generated line.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly allocated string, which should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.